Skip to content

upsertRisk

WRITE

Upsert risk.

POST /api/v1/quality/upsertRisk
curl -X POST '<your-host>/api/v1/quality/upsertRisk' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "source": "Customer",
    "status": "Open",
    "title": "string",
    "type": "Risk",
    "severity": 0,
    "likelihood": 0
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"Customer""General""Item""Job""Quote Line""Supplier""Work Center"
"Open""In Review""Mitigating""Closed""Accepted"
min length 1
"Risk""Opportunity"

Input schema

schema
{
  "type": "object",
  "properties": {
    "assignee": {
      "type": "string"
    },
    "description": {
      "type": "string"
    },
    "itemId": {
      "type": "string"
    },
    "notes": {
      "type": "string"
    },
    "source": {
      "type": "string",
      "enum": [
        "Customer",
        "General",
        "Item",
        "Job",
        "Quote Line",
        "Supplier",
        "Work Center"
      ]
    },
    "sourceId": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Open",
        "In Review",
        "Mitigating",
        "Closed",
        "Accepted"
      ]
    },
    "title": {
      "type": "string",
      "minLength": 1
    },
    "type": {
      "type": "string",
      "enum": [
        "Risk",
        "Opportunity"
      ]
    },
    "severity": {
      "type": "number"
    },
    "likelihood": {
      "type": "number"
    },
    "id": {
      "type": "string"
    }
  },
  "required": [
    "source",
    "status",
    "title",
    "type",
    "severity",
    "likelihood"
  ]
}